Package org.jbpm.ruleflow.core.factory

## Class NodeFactory<T extends org.kie.api.fluent.NodeBuilder<T,​P>,​P extends org.kie.api.fluent.NodeContainerBuilder<P,​?>>

- java.lang.Object
- - org.jbpm.ruleflow.core.factory.NodeFactory<T,​P>

- All Implemented Interfaces:
    `org.kie.api.fluent.NodeBuilder<T,​P>`
  Direct Known Subclasses:
    `ActionNodeFactory`, `BoundaryEventNodeFactory`, `EndNodeFactory`, `EventNodeFactory`, `FaultNodeFactory`, `HumanTaskNodeFactory`, `JoinFactory`, `MilestoneNodeFactory`, `RuleFlowNodeContainerFactory`, `RuleSetNodeFactory`, `SplitFactory`, `StartNodeFactory`, `SubProcessNodeFactory`, `TimerNodeFactory`, `WorkItemNodeFactory`

      public abstract class NodeFactory<T extends org.kie.api.fluent.NodeBuilder<T,​P>,​P extends org.kie.api.fluent.NodeContainerBuilder<P,​?>>
      extends Object
      implements org.kie.api.fluent.NodeBuilder<T,​P>

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Object` | `node` |
    `protected NodeContainer` | `nodeContainer` |
    `protected P` | `nodeContainerFactory` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `NodeFactory​(P nodeContainerFactory, NodeContainer nodeContainer, Object node, Object id)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `P` | `done()` |
    `protected Node` | `getNode()` |
    `T` | `name​(String name)` |
    `protected void` | `setId​(Object node, Object id)` |
    `T` | `setMetadata​(String key, Object value)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### node

          protected final Object node

    - #### nodeContainer

          protected final NodeContainer nodeContainer

    - #### nodeContainerFactory

          protected final P extends org.kie.api.fluent.NodeContainerBuilder<P,​?> nodeContainerFactory

  - ### Constructor Detail

    - #### NodeFactory

          protected NodeFactory​(P nodeContainerFactory,
                                NodeContainer nodeContainer,
                                Object node,
                                Object id)

  - ### Method Detail

    - #### setId

          protected void setId​(Object node,
                               Object id)

    - #### done

          public P done()

      Specified by:
        `done` in interface `org.kie.api.fluent.NodeBuilder<T extends org.kie.api.fluent.NodeBuilder<T,​P>,​P extends org.kie.api.fluent.NodeContainerBuilder<P,​?>>`

    - #### getNode

          protected Node getNode()

    - #### name

          public T name​(String name)

      Specified by:
        `name` in interface `org.kie.api.fluent.NodeBuilder<T extends org.kie.api.fluent.NodeBuilder<T,​P>,​P extends org.kie.api.fluent.NodeContainerBuilder<P,​?>>`

    - #### setMetadata

          public T setMetadata​(String key,
                               Object value)

      Specified by:
        `setMetadata` in interface `org.kie.api.fluent.NodeBuilder<T extends org.kie.api.fluent.NodeBuilder<T,​P>,​P extends org.kie.api.fluent.NodeContainerBuilder<P,​?>>`